package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.sdk.module.VolumeGroup;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VolumeGroupProvider extends SuperProvider {
    public BocloudResult getVolumeGroup(String viosUuid);

    public BocloudResult getVolumeGroup(String viosUuid, String volumeGroupUuid);

    public BocloudResult createVirtualDisk(String viosUuid, String volumeGroupUuid, Double diskCapacity, String diskName);

    public BocloudResult deleteVirtualDisk(String viosUuid, String volumeGroupUuid, String diskName);

    public BocloudResult assign(String managedSystemUuid, String viosUuid, String lparUuid, String diskName, String diskCapacity, Integer viosId, Integer lparId, Integer lparSlot, boolean isPhysical);

    public BocloudResult unAssign(String managedSystemUuid, String viosUuid, String diskName, boolean isPhysical);

    public BocloudResult updateVirtualDisk(String viosUuid, String volumeGroupUuid, Double diskCapacity, String diskName);

    public BocloudResult createVolumeGroup(String viosUuid, VolumeGroup volumeGroup);

    public BocloudResult deleteVolumeGroup(String viosUuid, String volumeGroupUuid);
}
